<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>JSDoc: Class: ControladorPersona</title>

    <script src="scripts/prettify/prettify.js"> </script>
    <script src="scripts/prettify/lang-css.js"> </script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify-tomorrow.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc-default.css">
</head>

<body>

<div id="main">

    <h1 class="page-title">Class: ControladorPersona</h1>

    




<section>

<header>
    
        <h2><span class="attribs"><span class="type-signature"></span></span>ControladorPersona<span class="signature">()</span><span class="type-signature"></span></h2>
        
    
</header>

<article>
    <div class="container-overview">
    
        

    

    
    <h4 class="name" id="ControladorPersona"><span class="type-signature"></span>new ControladorPersona<span class="signature">()</span><span class="type-signature"></span></h4>
    

    















<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line12">line 12</a>
    </li></ul></dd>
    

    

    

    
</dl>




















    
    </div>

    

    

    

    

    

    

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    
    <h4 class="name" id="guardar"><span class="type-signature"></span>guardar<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para guardar los datos de un nuevo usuario. En esta tabla se relacionan las tablas de persona, cuenta y artista, ya que se guardará información de los tres al mismo tiempo
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener los datos todos los datos necesarios para registrar un nuevo usuario, y para presentar los mensajes de error o de información</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana de inicio de sesión en el caso de que el usuario se registre correctamente, y en el caso de error lo devolverá a la ventana de registro</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line21">line 21</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="guardar_foto"><span class="type-signature"></span>guardar_foto<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para guardar la foto de perfil que el usuario suba a la plataforma
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes respectivos de información o de error, y también para obtener la imagen que el usuario haya subido en el input llamado "foto"</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana de Perfil en el caso de que se guarde correctamente, o de que exista algún error</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line186">line 186</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="modificar_perfil"><span class="type-signature"></span>modificar_perfil<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para modificar los datos personales del usuario
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la persona, el nombre del artista</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana Perfil en el caso de que exista algún error, o de que todo se haya completado correctamente</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line118">line 118</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_foto_perfil"><span class="type-signature"></span>visualizar_foto_perfil<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método para visualizar la ventana EditarFotoPerfil, en la cuál el usuario podrá subir un archivo de imagen, para usarlo como su foto de perfil
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la persona, y para presentar los mensajes de error o de información</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana de EditarFotoPerfil, y en el caso de error lo devolverá a la ventana de perfil</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line163">line 163</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_modificar"><span class="type-signature"></span>visualizar_modificar<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método que permite visulizar la ventana ModificarPerfil, en la cuál el usuario podrá editar sus datos personales
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para obtener el external id de la persona, y también presentar los mensajes de información o error</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para direccionar a la ventana ModificarPerfil, y en el caso de que exista algún error, redireccionar a la ventana principal</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line96">line 96</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
            

    

    
    <h4 class="name" id="visualizar_perfil"><span class="type-signature"></span>visualizar_perfil<span class="signature">(req, res)</span><span class="type-signature"></span></h4>
    

    



<div class="description">
    Método que permite visulizar la ventana Perfil, en la cuál el usuario podrá ver todos sus datos al momento de registrarse
</div>









    <h5>Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>req</code></td>
            

            <td class="type">
            
                
<span class="param-type">req</span>


            
            </td>

            

            

            <td class="description last">Sirve para presentar los mensajes de error o de información</td>
        </tr>

    

        <tr>
            
                <td class="name"><code>res</code></td>
            

            <td class="type">
            
                
<span class="param-type">res</span>


            
            </td>

            

            

            <td class="description last">Sirve para redireccionar a la ventana Perfil, y en el caso de que exista un error, redireccione a la ventana principal</td>
        </tr>

    
    </tbody>
</table>






<dl class="details">

    

    

    

    

    

    

    

    

    

    

    

    

    
    <dt class="tag-source">Source:</dt>
    <dd class="tag-source"><ul class="dummy"><li>
        <a href="ControladorPersona.js.html">ControladorPersona.js</a>, <a href="ControladorPersona.js.html#line73">line 73</a>
    </li></ul></dd>
    

    

    

    
</dl>




















        
    

    

    
</article>

</section>




</div>

<nav>
    <h2><a href="index.html">Home</a></h2><h3>Classes</h3><ul><li><a href="ControladorPersona.html">ControladorPersona</a></li></ul><h3>Global</h3><ul><li><a href="global.html#cambiarFechaparaGuardar">cambiarFechaparaGuardar</a></li><li><a href="global.html#contar_cero">contar_cero</a></li></ul>
</nav>

<br class="clear">

<footer>
    Documentation generated by <a href="https://github.com/jsdoc/jsdoc">JSDoc 3.6.3</a> on Sun Aug 25 2019 04:13:16 GMT-0500 (GMT-05:00)
</footer>

<script> prettyPrint(); </script>
<script src="scripts/linenumber.js"> </script>
</body>
</html>